/**
 * @file CodeReviewExercise22.cpp
 * @author Caleb Tomas Camargo Saavedra (caleb.camargo.s@uni.pe)
 * @brief exercise 22
 * @version 1.0
 * @date 28.01.2022
 * 
 */



/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include "math.h"
using namespace std;

/*******************************************************************************************************************************************
 *  												GLOBAL VARIABLES
 *******************************************************************************************************************************************/
int horasInput=0;
int minutosHorasInput=0;
int minutosSegundosInput=0;
int segundosInput=0;
int horasSuma=0;
int minutosSuma=0;
int segundosSuma=0;

/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
void Run();
void CollectData();
void Calculate();
void ShowResults();
void TiempoSumar();

/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/

int main(){
	
	Run();
	
	return 0;
}

/*******************************************************************************************************************************************
*  												FUNCTION DEFINITION
*******************************************************************************************************************************************/

void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//=====================================================================================================

void CollectData(){
	cout<<"============Insert data============\r\n";
	cout<<"Primer tiempo marcado:";
	cout<<"\n\tHoras:";
	cin>>horasInput;
	cout<<"\tMinutos:";
	cin>>minutosHorasInput;
	cout<<"Segundo tiempo marcado: ";
	cout<<"\n\tMinutos: ";
	cin>>minutosSegundosInput;
	cout<<"\tSegundos:";
	cin>>segundosInput;
}
//=====================================================================================================

void Calculate(){
	segundosSuma=segundosInput;
	TiempoSumar();

	
}
//=====================================================================================================

void ShowResults(){
	cout<<"\r\n============Show result============\r\n";
	cout<<"El tiempo es: ";
	cout<<"\n\t"<<horasSuma<<":"<<minutosSuma<<":"<<segundosSuma;
}
//=====================================================================================================

void TiempoSumar(){
	int sumar=(minutosHorasInput+minutosSegundosInput)/60;
	minutosSuma=(minutosHorasInput+minutosSegundosInput)%60;
	horasSuma=horasInput+sumar;
}
//=====================================================================================================
